/*
 * File: Quotient.js
 * -----------------
 * This program implements the quotient function without using only the
 * standard arithmetic operators.
 */
function quotient(x, y) {
   return (x - x % y) / y;
}

/* Simple test of the quotient function */
function testQuotient() {
   console.log("quotient(3, 3) = " + quotient(3, 3));
   console.log("quotient(4, 3) = " + quotient(4, 3));
   console.log("quotient(6, 3) = " + quotient(6, 3));
   console.log("quotient(199, 100) = " + quotient(199, 100));
}

